﻿@font-face {
    font-family: "titles";
    src: url("/fondid/gabriele-bad.ttf");
}

@font-face {
    font-family: "textContent";
    src: url("/fondid/futura-light.ttf");
}

@font-face {
    font-family: "Kelly Slab";
    src: url("/fondid/kellyslab-regular.ttf");
}

html {
    scroll-behavior: smooth;
}

html, body {
    min-height: 100vh;
}

body {
    background-image: url('/pildid/paber.jpg');
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;
    font-family: "textContent", sans-serif;
    font-size: 1.25rem;
    letter-spacing: 0.05em;
    line-height: 2em;
    color: #333;
}

h2 {
    font-family: titles, fantasy;
    font-weight: initial;
    font-size: 1.25em;
    line-height: 1.5em;
}

h3 {
    text-align: left;
    margin-top: 2em;
    margin-bottom: 0.75em;
}

ol {
    margin-top: 2em;
    margin-bottom: 2em;
}

li {
    margin-bottom: 1em;
}

a {
    color: hsla(0, 0%, 45%, 1);
    text-decoration: none;
    border-bottom-style: double;
}

a:hover {
    color: black;
    border-bottom-style: solid;
    transition: 0.3s;
}

.link {
    border: none;
    color: inherit;
}

.link:hover {
    border: none;
    color: inherit;
}

.ülapaneel {
    display: block;
    width: 95%;
    max-width: 1920px;
    margin: 2rem auto;
}

.lehePealkirjaÜmbris {
    display: flex;
    margin-top: 2rem;
    margin-bottom: 2rem;
    align-items: center;
    justify-content: center;
}

.lehePealkiri {
    font-family: titles, fantasy;
    font-size: 1.75em;
    line-height: 1.1em;
}

.hoiatus {
    color: red;
}

.kinnitus {
    color: green;
}

.logo {
    height: 6rem;
    margin-right: 1.5rem;
}

.menüüPaneel {
    display: block;
    margin-top: 2rem;
    margin-bottom: 2rem;
}

.peamenüü {
    text-align: center;
    font-family: "titles", fantasy;

    display: grid;
    width: 75%;
    grid-template-columns: repeat(6, auto);
    align-items: center;
    justify-items: center;
    margin-right: auto;
    margin-left: auto;
}

.peamenüü a {
    font-size: 1em;
    color: hsla(0, 0%, 45%, 1);
    text-align: center;
    padding: 0.5em 1em;
    text-decoration: none;
    border: none;
    transition: 0.6s;
}

.peamenüü :hover :not(.peamenüü .praeguneLeht) {
    color: black;
    font-size: 1.1em;
}

.peamenüü .praeguneLeht {
    font-size: 1.1em;
}

.menüüNool {
    display: none;
    font-size: 6rem;
    padding-left: 1rem;
    padding-right: 1rem;
}

.menüüNool:hover {
    cursor: pointer;
}

.peamenüü .menüüNool {
    display: none;
}

.alamenüüKarp {
    display: grid;
    width: 100%;
    text-align: center;
    font-family: "titles", fantasy;
    font-size: 0.8em;
    padding-top: 1rem;
    line-height: 4rem;
    align-items: end;
}

.alamenüüKanne {
    background-color: hsla(0, 0%, 0%, 0.075);
    padding: 0.5em;
    line-height: initial;
    height: 90%;
    display: flex;
    align-items: center;
    justify-content: center;

}

.alamenüüTühi {
    box-shadow: inset 0 -7px 5px -5px rgba(0, 0, 0, 0.5);
    height: 90%;
}

.praeguneAlamleht {
    background-color: hsla(0, 0%, 100%, 0.6);
    box-shadow: 0 -5px 5px 0 rgba(0, 0, 0, 0.5);
    border-radius: 3px 3px 0 0;
    height: 100%;
}

.praeguneAlamleht a {
    color: #333;
}

.sisuKarp {
    width: 95%;
    max-width: 1920px;
    height: auto;
    margin-left: auto;
    margin-right: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.sisuPealkiri {
    display: block;
    font-size: 0.625rem;
    text-align: right;
    font-family: "titles", fantasy;
    visibility: hidden;
}

.sisu {
    width: 100%;
    background-color: hsla(0, 0%, 100%, 0.7);
}

.väikeleheKarp {
    height: auto !important;
    min-height: 25rem;
}

.nupuKarp {
    display: block;
    width: 50%;
    margin-right: auto;
    margin-left: auto;
}

.nupp {
    background-image: url("/pildid/nuputaust.jpg");
    outline: none;
    border-left: 2px solid lightgrey;
    border-top: 2px solid lightgrey;
    border-bottom: 2px solid darkgrey;
    border-right: 2px solid darkgrey;

    font-family: "titles", fantasy;
    font-size: 0.8em;
    letter-spacing: 0.05em;
    line-height: 1.5em;
    display: block;
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    padding: 1rem;
    margin-bottom: 1rem;
    cursor: pointer;
}

.väikeNupp {
    font-family: "Kelly Slab", serif;
    font-size: 0.7em;
    padding: 0.5em;
}

.nupp:active {
    border-right: 2px solid lightgrey;
    border-bottom: 2px solid lightgrey;
    border-top: 2px solid darkgrey;
    border-left: 2px solid darkgrey;
}

.vari {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.joondaParemale {
    text-align: right;
}

.joondaKeskele {
    text-align: center;
}

.joondaKeskele ol {
    text-align: center;
    list-style-position: inside;
}

.väikeTekst {
    font-size: 0.7em;
}

footer {
    position: relative;
    display: block;
    text-align: center;
    line-height: 1.75em;
    width: 50%;
    margin-bottom: 2em;
    padding-bottom: 2em;
    margin-right: auto;
    margin-left: auto;
}

.jalus {
    margin-top: 4rem;
}

#menüüNupp {
    display: none;
}

.alamenüü {
    width: 50%;
    grid-template-columns: auto auto;
}

@media screen and (min-width: 800px) {
    .peamenüü .praeguneLeht {
        background-image: url("/pildid/tindiplekk.png");
        background-position: left top;
        background-size: 100% 110%;
        color: white;
        padding: 0.5rem 2rem 0.75rem;
    }
}


@media screen and (max-width: 800px) {
    .ülapaneel {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        max-width: 95%;
        margin: 0.5rem auto;
    }

    .lehePealkirjaÜmbris {
        flex: 1;
        margin-top: 0.5rem;
        margin-bottom: 0.5rem;
    }

    .logo {
        height: 3rem;
        margin-right: 1rem;
    }

    .menüüNool {
        display: inline-block;
        font-size: 2.5rem;
        padding-left: 0.5rem;
        padding-right: 0.5rem;
    }

    .menüüPaneel {
        display: none;
        flex: 0 0 100%;
        margin: 0;
    }

    #menüüNupp:checked ~ .menüüPaneel {
        display: block;
    }

    .peamenüü {
        display: block;
        width: 100%;
        font-size: 1.25em;
    }

    .peamenüü a {
        display: block;
        text-align: center;
        font-size: 1em;
    }

    .peamenüü :hover {
        background-color: hsla(0, 0%, 30%, 0.9);
        color: hsla(0, 0%, 95%, 0.95);
    }

    .peamenüü .praeguneLeht {
        background-color: hsla(0, 0%, 15%, 0.9);
        color: hsla(0, 0%, 95%, 0.95);
    }

    .peamenüüKanne {
        width: 100%;
    }

    .sisuPealkiri {
        text-align: center;
    }

}

@media screen and (max-width: 1080px) {

    .alamenüü {
        width: 100%;
    }

    .lehePealkiri {
        font-size: 1.5rem;
    }

    .sisuKarp {
        margin-top: 0;
    }

    .sisuPealkiri {
        display: none;
    }

    .peamenüü {
        width: 100%;
    }

    footer {
        width: 85%;
    }

    @media screen and (max-width: 800px) {
        .peamenüü {
            font-size: 1rem;
        }
    }
}
